.block.block--core-image {
  @include media-margin();
  &:not(.not-last):last-child {
    margin-bottom: 0;
    .core-image {
      border-bottom: none !important;
    }
  }
}

.core-image {
  display:block;
  position:relative;

  &.core-image--full {
    width: 100%;
    border-top: $border;
    border-bottom: $border;
    max-height: calc(100vh - #{$padding*2 + $header_height});
    overflow: hidden;
  }
  
  &.core-image--contained {
    border: $border;
    width: 27rem;
    margin-left: auto;
    margin-right: auto;
    max-width: 100%;

    &.core-image--portrait {
      max-width: 38vw;
    }
  }

}

.core-image img {
  width: 100%;
  display:block;
}

.core-image__background {
  position:absolute;
  top:0;
  left:0;
  width:100%;
  height:100%;
}

.core-image__background__img {
  position:absolute;
  top:0;
  left:0;
  width:100%;
  height:100%;
  @include bg-image('cover');
}